Skip to main content
No Result Found
Get your setup working faster. Join our Discord for optimisation tips from elite testers. Join our DiscordJoin our Discord

Builds

Each build represents an execution of your Detox Android tests on one or more devices on BrowserStack. Use our REST API to list your recent builds and fetch the test sessions executed under a build, along with details of the application under test.

List recent builds

GET /app-automate/detox/v2/android/builds

Fetch the most recent test builds sorted by timestamp. By default, it returns the last 10 builds. You can also filter builds by their project name or status, and paginate through your data.

Request parameters

Request

curl -u "YOUR_USERNAME:YOUR_ACCESS_KEY" \
-X GET "https://api-cloud.browserstack.com/app-automate/detox/v2/android/builds"

# Limit the number of builds to be displayed using the "limit" parameter
curl -u "YOUR_USERNAME:YOUR_ACCESS_KEY" \
-X GET "https://api-cloud.browserstack.com/app-automate/detox/v2/android/builds?limit=5"

# Start the retrieval of records from a particular point using the "offset" parameter
curl -u "YOUR_USERNAME:YOUR_ACCESS_KEY" \
-X GET "https://api-cloud.browserstack.com/app-automate/detox/v2/android/builds?limit=2\&offset=2"

# Filter builds using the "status" parameter
curl -u "YOUR_USERNAME:YOUR_ACCESS_KEY" \
-X GET "https://api-cloud.browserstack.com/app-automate/detox/v2/android/builds?status=running"

# List builds using the project filter
curl -u "YOUR_USERNAME:YOUR_ACCESS_KEY" \
-X GET "https://api-cloud.browserstack.com/app-automate/detox/v2/android/builds?project=SampleBuild"
  • limit String

    Specify the number of builds to fetch. The default value is 10, and the maximum permitted value is 100.

  • offset String

    Retrieve a list of builds from a particular point using the offset parameter. Use offset in conjunction with the limit parameter.

  • status String

    Filter recent builds based on the build status. The possible values are running, done, timeout, and failed.

  • project String

    The project name of the build(s).
    Example: Detox_Test

Response attributes 200 application/json

Response

[
    {
        "id": "5c5ab4338cec13aeb78f7a6977344556ac00bccd6",
        "start_time": "2019-11-06 13:07:45 UTC"
    },
    {
        "id": "235ab7338cec13ae6b8f7a6977344556ac00bccd6",
        "start_time": "2020-06-04 07:43:49 UTC"
    }
]
  • Array

    List of recent test builds sorted by timestamp.

    â–¶ SHOW VALUES
    • id String

      Build ID.

    • start_time String

      Timestamp at which the build execution is started.

Get build details

GET /app-automate/detox/v2/android/builds/{buildID}

Fetch the list of test sessions executed under a build. The response includes each session’s status and device details, along with app_details for the application under test uploaded on BrowserStack.

Request parameters

Request

curl -u "YOUR_USERNAME:YOUR_ACCESS_KEY" \
-X GET "https://api-cloud.browserstack.com/app-automate/detox/v2/android/builds/bada10e552f3086cefe6055279352a4e15b762ae"
  • buildID* String

    Unique build ID for your Detox Android test execution.
    Example: bada10e552f3086cefe6055279352a4e15b762ae

Response attributes 200 application/json

Response

[
    {
        "id": "a4de383d3055eb0ddfcefe4838199b6ecc7ec0a5",
        "status": "done",
        "device": "Samsung Galaxy S22",
        "os": "android",
        "os_version": "12.0",
        "start_time": "2023-12-12 08:05:05 UTC",
        "duration": 34,
        "app_details": {
            "url": "bs://0e4fdeee23f612eb322f87d205b11a9b3a7ef8c9",
            "bundle_id": "com.abchealth.phoenix.e2e",
            "version": "99.99.99",
            "name": "app-debug.apk"
        }
    },
    {...}
]
  • Array

    List of test sessions executed under the build, along with details of the application under test.

    â–¶ SHOW VALUES
    • id String

      Unique identifier of the test session.
      Example: a4de383d3055eb0ddfcefe4838199b6ecc7ec0a5

    • status String

      Status of the test session. The possible values are running, done, timeout, and failed.

    • device String

      Name of the device on which the test session is executed.
      Example: Samsung Galaxy S22

    • os String

      OS on which the test session is executed. The value is set to android.

    • os_version String

      OS version on which the test session is executed.

    • start_time String

      Timestamp at which the test session is started.

    • duration Integer

      Total duration of the test session, in seconds.

    • app_details Object

      Details about the application under test uploaded on BrowserStack.

      â–¶ SHOW VALUES
      • url String

        The app_url of the app(.apk) file uploaded on BrowserStack.

      • bundle_id String

        Bundle ID or the package name of the app.

      • version String

        Version code of the app that is defined in the Android manifest file.

      • name String

        Name of your app(.apk) file.

We're sorry to hear that. Please share your feedback so we can do better

Contact our Support team for immediate help while we work on improving our docs.

We're continuously improving our docs. We'd love to know what you liked





Thank you for your valuable feedback

Download Copy Check Circle